Вход | Регистрация
 
1С:Предприятие :: 1С:Предприятие 8 общая

1С УПП 1.3.156.1

1С УПП 1.3.156.1
Я
   skupidom
 
07.04.21 - 12:23
при запуске:
{ОбщийМодуль.ОбновлениеИнформационнойБазы.Модуль(127)}: Обновление информационной базы на версию "1.3.156.1" завершилось с ошибками:
{(1)}: Метод объекта не обнаружен (ВосстановитьДвиженияСПревышенияПоРасчетыНалоговыхАгентовСБюджетомПоНДФЛ)
ПроцедурыОбновленияИнформационнойБазы.ВосстановитьДвиженияСПревышенияПоРасчетыНалоговыхАгентовСБюджетомПоНДФЛ()
        ВызватьИсключение Сообщение;

Подробности см. в Журнале регистрации.
   Serg_1960
 
1 - 07.04.21 - 12:39
Перепрыгнул через обязательное обновление? В 154 она была.
   tesei
 
2 - 07.04.21 - 12:40
Потом поискать метод глобальным поиском.
   skupidom
 
3 - 07.04.21 - 12:41
нет, последовательно обновлял 154, 155.1, 156.1.
Глобальный поиск ВосстановитьДвиженияСПревышенияПоРасчетыНалоговыхАгентовСБюджетомПоНДФЛ() ничего не дал.
   tesei
 
4 - 07.04.21 - 12:45
Взять типовую, обновить, модуль ОбновлениеИнформационнойБазы сравнить и объединить, вернуть на "замок".
   Dmitrith
 
5 - 07.04.21 - 12:46
Никогда не ставлю обновления на следующий день после выхода.
Если не делаете расчет зарплаты в УПП то можно закомментить эту строчку
   skupidom
 
6 - 07.04.21 - 12:48
Никогда не ставлю обновления на следующий день после выхода, делаю только в тестовой базе копии рабочей
   pasha_d
 
7 - 07.04.21 - 12:51
Есть такая процедура. Вы где-то перепрыгнули все-таки.
   Serg_1960
 
8 - 07.04.21 - 12:54
Странно это всё. Эта функция запускается тогда, когда обновляется подсистема ЗУП  - обновление на версию 2.5.159.4, которое ранее уже было сделано. Версии подсистем определяются по регистру сведений "Версии подсистем". Смотри что там и почему никогда такого не было, и вот опять :)
   Serg_1960
 
9 - 07.04.21 - 12:57
Можно исправить в регистре сведений версию ЗУП "вручную"; можно скопировать функцию из предыдущей версии конфигурации; можно не быть тостером, тьфу, тестером и подождать следующего обновления...
   NorthWind
 
10 - 07.04.21 - 13:22
Масянька вроде в теме... У вас как прошло обновление на 156, не было ругани?
ЗЫ: я пока на 154
   Масянька
 
11 - 07.04.21 - 14:48
(10) Я не обновляю. У нас переписанная УПП (практически, в хлам :( ).
Я из типовой пихаю в нашу.
   tesei
 
12 - 07.04.21 - 16:49
Тяжко на УПП без расширений. Каждое обновление как подвиг.
   d_monah
 
13 - 07.04.21 - 17:00
(12) Не менее тяжко с расширениями и в ЕРП,за каждое обновление нужно минимум медаль давать.
   Serg_1960
 
14 - 07.04.21 - 17:26
Хватит уж стонать и медали друг другу раздавать :) В УПП развитие функционала нет - обновлений стало значительно меньше - наоборот, - полегчало :) УПП, конечно же, тот ещё мамонт, но расширения в УПП использовать можно - это функционал платформы, а не конфигурации.
   Базис
 
15 - 07.04.21 - 17:30
(14) "В их *** головы невозможно вдолбить, что труд одинэсника невозможно переоценить".

Говорят, что на современных режимах совместимости в УПП что-то ломается.
   NorthWind
 
16 - 07.04.21 - 18:28
(12) ну а кто заставлял кромсать так, что потом обновлять невозможно.
   Emvika
 
17 - 08.04.21 - 02:45
Кто какой релиз платформы использует для УПП?
   NorthWind
 
18 - 08.04.21 - 10:02
(17) В начале года обновился до 8.3.16.1876, вроде ничего.
До этого был 8.3.12 один из последних.
   shuhard
 
19 - 08.04.21 - 10:05
(17) эксплуатировали активно до конца 2020 под 8.3.17.1549
   Serg_1960
 
20 - 08.04.21 - 10:07
(17) 8.3.14.2095
   piter3
 
21 - 08.04.21 - 10:08
(17) 8.3.12.1714 кто еще старей)
   Флориан
 
22 - 08.04.21 - 10:09
(21) т.е. то что указано минимальное 8.3.14 - это до фени?
   piter3
 
23 - 08.04.21 - 10:10
(22) Нового из типовых мало вносится в текущую.Ну получается да,может понадобится новее,но не у меня
   Serg_1960
 
24 - 08.04.21 - 10:14
У меня в связке с УПП работает ЗУП3.1 - ей нужна версия не ниже 8.3.14.1976
   NorthWind
 
25 - 08.04.21 - 10:16
(22) там в маркировке есть вызов по склонению строки, его в 8.3.12 нет. Соответственно, будут ошибки.
Поэтому я и перешел в начале года на новый релиз, чтобы не камментить каждый раз это все.
   Serg_1960
 
26 - 08.04.21 - 11:05
Кстати: интереса ради поднял чистую версию 1.3.155.1 и обновил до версии 1.3.156.1.
Указанная процедура - присутствует в общем модуле ПроцедурыОбновленияИнформационнойБазы.
Так, что автор, где-то, в чём-то, некоторым образом несколько не прав. И кроме того:
Данная обработка обновления не должна была вызываться при обновлении 1.3.156.1 так, как она должна быть выполнена в предыдущих обновлениях (когда подсистема ЗУП обновлялась до версии 2.5.159.4).
В обновлении 1.3.156.1 подсистема ЗУП обновляется до версии 2.5.160.1 обработчиком ВыделитьНалогСПревышенияВРасчетыНалоговыхАгентовСБюджетомПоНДФЛ()
   Масянька
 
27 - 08.04.21 - 12:34
(17) 8.1.0.17
   Serg_1960
 
28 - 08.04.21 - 13:04
О_О
   NorthWind
 
29 - 08.04.21 - 13:55
(28) видимо, УПП 1.2
   Kongo2019
 
30 - 08.04.21 - 13:56
Обновил тестовую. Нет такой ошибки у меня.
 
 
   DmVl76
 
31 - 08.04.21 - 14:32
(25) В 1.3.155.1 появилась масса замен (около 60) Тип("УправляемаяФорма") на Тип("ФормаКлиентскогоПриложения"), а это 8.3.14. В основном в модулях работы с маркировкой, но и в регламентированных отчетах тоже встречается. Это только то, что заметил.
   Флориан
 
32 - 08.04.21 - 16:45
Есть кто поставил 1.3.157.1 - есть там алкогольная декларация? Что-то в описании нет
   NorthWind
 
33 - 08.04.21 - 16:52
ого... уже 157 есть?
   Масянька
 
34 - 08.04.21 - 16:52
(33) Вот это работа...
   NorthWind
 
35 - 08.04.21 - 16:53
да, чет прям ускорились...


Список тем форума
 
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.